summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-01-31 07:17:46 +0700
committer Robby Workman <rworkman@slackbuilds.org>2014-02-01 00:40:33 -0600
commit8afe93b0199e2fd4c2223b3d95b54a1cd6103083 (patch)
tree409f56667bb037119fc4b8a640cd569bb32c8c24 /desktop
parent162e9d138bb21aefac074c6d013fb48d27b0408d (diff)
downloadslackbuilds-8afe93b0199e2fd4c2223b3d95b54a1cd6103083.tar.gz
slackbuilds-8afe93b0199e2fd4c2223b3d95b54a1cd6103083.tar.xz
desktop/xfce4-battery-plugin: Added (battery monitor panel plugin).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xfce4-battery-plugin/README3
-rw-r--r--desktop/xfce4-battery-plugin/doinst.sh9
-rw-r--r--desktop/xfce4-battery-plugin/slack-desc19
-rw-r--r--desktop/xfce4-battery-plugin/xfce4-battery-plugin.SlackBuild104
-rw-r--r--desktop/xfce4-battery-plugin/xfce4-battery-plugin.info10
5 files changed, 145 insertions, 0 deletions
diff --git a/desktop/xfce4-battery-plugin/README b/desktop/xfce4-battery-plugin/README
new file mode 100644
index 0000000000..b0ba834e44
--- /dev/null
+++ b/desktop/xfce4-battery-plugin/README
@@ -0,0 +1,3 @@
+Battery monitor panel plugin for XFce4.
+
+Battery Icon borrowed from KDE :-)
diff --git a/desktop/xfce4-battery-plugin/doinst.sh b/desktop/xfce4-battery-plugin/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/desktop/xfce4-battery-plugin/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/xfce4-battery-plugin/slack-desc b/desktop/xfce4-battery-plugin/slack-desc
new file mode 100644
index 0000000000..3635930d2f
--- /dev/null
+++ b/desktop/xfce4-battery-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-battery-plugin: xfce4-battery-plugin (A battery monitor panel plugin for Xfce4)
+xfce4-battery-plugin:
+xfce4-battery-plugin: A battery monitor panel plugin for Xfce4, compatible with APM and
+xfce4-battery-plugin: ACPI, for Linux and *BSD.
+xfce4-battery-plugin:
+xfce4-battery-plugin: Homepage: http://goodies.xfce.org
+xfce4-battery-plugin:
+xfce4-battery-plugin:
+xfce4-battery-plugin:
+xfce4-battery-plugin:
+xfce4-battery-plugin:
diff --git a/desktop/xfce4-battery-plugin/xfce4-battery-plugin.SlackBuild b/desktop/xfce4-battery-plugin/xfce4-battery-plugin.SlackBuild
new file mode 100644
index 0000000000..10cfbfebf6
--- /dev/null
+++ b/desktop/xfce4-battery-plugin/xfce4-battery-plugin.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-battery-plugin
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xfce4-battery-plugin
+VERSION=${VERSION:-1.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/desktop/xfce4-battery-plugin/xfce4-battery-plugin.info b/desktop/xfce4-battery-plugin/xfce4-battery-plugin.info
new file mode 100644
index 0000000000..18f8300919
--- /dev/null
+++ b/desktop/xfce4-battery-plugin/xfce4-battery-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="xfce4-battery-plugin"
+VERSION="1.0.5"
+HOMEPAGE="http://goodies.xfce.org/"
+DOWNLOAD="http://archive.xfce.org/src/panel-plugins/xfce4-battery-plugin/1.0/xfce4-battery-plugin-1.0.5.tar.bz2"
+MD5SUM="ca2d394e411a20442a519efa0d14f8ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"